
TYPO3.Flow - Feature # 39836

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Http
Created: 2012-08-15 Assigned To: Robert Lemke
Updated: 2012-08-17 Due date:
PHP Version: 5.3
Has patch: No
Complexity: medium
Subject: Finish implementation of cookie support
Description

The cookie support in HTTP Request / Response is not working because the implementation is incomplete.

Associated revisions
Revision ea08462a - 2012-08-16 21:39 - Robert Lemke

[FEATURE] Cookie management support

This implements the cookie management feature
which previously only existed as a stub in the
HTTP foundation.

This patch also contains the corresponding tests
and documentation.

Change-Id: Icdf7fea74d8331abcf95f1ec361abc78e31bfb8c
Resolves: #39836
Releases: 1.1, 1.2

Revision ea2f7f2b - 2012-08-16 21:45 - Robert Lemke

[FEATURE] Cookie management support

This implements the cookie management feature
which previously only existed as a stub in the
HTTP foundation.

This patch also contains the corresponding tests
and documentation.

Change-Id: Icdf7fea74d8331abcf95f1ec361abc78e31bfb8c
Resolves: #39836
Releases: 1.1, 1.2

Revision 9f407900 - 2012-10-18 17:36 - Adrian Föder

[BUGFIX] Correct path check in HTTP\Cookie constructor
A variable name has been corrected in the constructor
of the Cookie class.

Change-Id: I138ebbe49f93cf8ea490d32ef5732bddd87a2f89
Releases: 1.1, 1.2
Related: #39836

History
#1 - 2012-08-16 14:57 - Robert Lemke
- % Done changed from 0 to 60
- Complexity changed from easy to medium

#2 - 2012-08-16 18:37 - Robert Lemke
- Tracker changed from Bug to Feature

#3 - 2012-08-16 18:37 - Robert Lemke
- Subject changed from Implementation of cookie support is incomplete to Finish implementation of cookie support

#4 - 2012-08-16 18:38 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13822

#5 - 2012-08-16 21:39 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13822

#6 - 2012-08-16 21:47 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/13828

#7 - 2012-08-17 08:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 60 to 100

Applied in changeset commit:ea08462aeba9427b7bfe128ea15e1b67dc1542b2.
